Skip to main content
`Ctrl`+`K`

# MatMAIJRedimension

Get a new `MATMAIJ` matrix with the same action, but for a different block size

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMAIJRedimension(Mat A, PetscInt dof, Mat *B)

Logically Collective

## Input Parameters

- A - the `MATMAIJ` matrix

- dof - the block size for the new matrix

## Output Parameter

- B - the new `MATMAIJ` matrix

## See Also

Matrices, `Mat`, `MATMAIJ`, `MatCreateMAIJ()`

## Level

advanced

## Location

src/mat/impls/maij/maij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages